JMS-JAVA-DOWNLOADS_DOWNLOAD-URL(1)

NAME
jms-java-downloads_download-url -

DESCRIPTION

Download Url object for the Java artifact.

AVAILABLE COMMANDS

•   generate-artifact

  generate-artifact

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Generates a short-lived download URL and returns it in the response payload. The returned URL can then be used for downloading the specific Java runtime artifact.

Use the GetJavaRelease <https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/jms/java-release/get.html> API to get information about available artifacts for a specific release. Each such artifact is uniquely identified by an artifactId. Refer JavaArtifact <https://docs.cloud.oracle.com/api/#/en/jms/20210610/datatypes/JavaArtifact> for more details.

  Usage

oci jms-java-downloads download-url generate-artifact [OPTIONS]

  Required Parameters

--artifact-id [integer]

    Unique identifier for the Java runtime artifact.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export artifact_id=<substitute-value-of-artifact_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/jms-java-downloads/download-url/generate-artifact.html#cmdoption-artifact-id
    oci jms-java-downloads download-url generate-artifact --artifact-id $artifact_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle